import { ApolloLink, Operation, FetchResult, Observable } from 'apollo-link';
import { GraphQLSchema } from 'graphql';
export declare namespace SchemaLink {
    interface Options {
        schema: GraphQLSchema;
        rootValue?: any;
        context?: any;
    }
}
export declare class SchemaLink extends ApolloLink {
    schema: GraphQLSchema;
    rootValue: any;
    context: any;
    constructor({schema, rootValue, context}: SchemaLink.Options);
    request(operation: Operation): Observable<FetchResult> | null;
}
export default SchemaLink;
